Description

Maybe others like list has the same problem...

Associated revisions
Revision ba662b4f - 10/13/2012 05:18 PM - Samer -

Specifying "lowercase" in the error message for chatroom names, ref
#331

History
#1 - 09/03/2012 04:28 PM - Vicente J. Ruiz Jurado
- Assignee changed from Vicente J. Ruiz Jurado to Samer -

Some check should be done in the form.

#2 - 10/13/2012 03:26 PM - Samer -

Right now:
(1) chatroom names must be just lowercase (e.g. roomname)
(2) list names can be a mix of lowercase and uppercase (e.g. ListName, LISTNAME)

I am not sure how to understand this issue. I guess it means to generalise the behaviour of (2), but I'm not sure. Could you confirm?

#3 - 10/13/2012 03:45 PM - Vicente J. Ruiz Jurado

I don't know if xmpp chat rooms allow uppercase names... I prefer to limit to lowercase in the form panel all that names...

#4 - 10/13/2012 05:10 PM - Samer -

I checked and although it's unclear to me in the XEP-0045, there are multiple issues with jabber room-names using uppercase, so I support keeping it
lowercase.

Then, I don't understand why this issue is not closed :)  Kune already does not allow you to create uppercase names for chat-rooms (*), and a
chat-room name cannot be changed later on.

If it's not closed because the same limitation should be imposed in lists... well, I'm not convinced about that. Why using in Kune-lists the same
limitations of mailing-lists? Unless some kind of retro compatibility is planned (pretty difficult) I don't see the point.

(*): I will clarify the message, specifying "lowercase" characters

#5 - 01/04/2013 07:00 PM - Samer -
- Status changed from New to Closed
- % Done changed from 0 to 100

I close this issue, as lists were corrected in a commit at some point. Now they won't allow anything but lowerspace letters.
